ASUS AC68U V3 not compatible?

  • ATTENTION! As of November 1, 2020, you are not able to reply to threads 6 months after the thread is opened if there are more than 500 posts in the thread.
    Threads will not be locked, so posts may still be edited by their authors.
    Just start a new thread on the topic to post if you get an error message when trying to reply to a thread.

jpdsc

Regular Contributor
Hi there,

I upgraded my AC87U to an AC68U so I can continue updating the router with Merlin's FW. However, it seems like the HW version I have is not compatible with the latest stable Merlin VER: RT-AC68U_384.19_0
When I try to upgrade from stock version: 3.0.0.4.386_40558 to 384.19; it doesn't allow me to proceed and I get an error:

1605943576834.png


I tried downgrading the stock FW but get the same notice.
Any advise how I should proceed?

Thank you.
 

L&LD

Part of the Furniture
I'm not sure you can do it via the GUI (going from 386.xx stock to 384.xx RMerlin code).

Have you tried using the Rescue mode?

How to use Rescue Mode (Firmware Restoration)? | Official Support | ASUS Global

If that doesn't work, have you tried doing a full reset to factory defaults first and trying again?

Or perhaps you want to try the Alpha version of RMerlin's firmware instead?

Download | Asuswrt-Merlin (asuswrt-merlin.net)

Go to the above link and click on the Pre-beta test builds (occasionally available) link there.
 

jpdsc

Regular Contributor
I'm not sure you can do it via the GUI (going from 386.xx stock to 384.xx RMerlin code).

Have you tried using the Rescue mode?

How to use Rescue Mode (Firmware Restoration)? | Official Support | ASUS Global

If that doesn't work, have you tried doing a full reset to factory defaults first and trying again?

Or perhaps you want to try the Alpha version of RMerlin's firmware instead?

Download | Asuswrt-Merlin (asuswrt-merlin.net)

Go to the above link and click on the Pre-beta test builds (occasionally available) link there.
Thank you.
I will follow you suggestions by starting with the pre-BETA builds.
 

octopus

Very Senior Member
Maby its a new version that must be implemented in @RMerlin softare, if its compatible.
 

Mr Tvardovsky

Occasional Visitor
Roughly 2 months ago I actually managed to downgrade my DSL-AC68U from the latest 386.xx stock to 384.17 Merlin / GNUton FW. Dirty flash, followed by WPS reset and no major issues ever since. Not sure why would ASUS policy be different for RT-AC68U. I am definitely looking forward to your update.
 

sl4fko

Regular Contributor
Looks like your Router already has latest 386 firmware. Thats why downgrade is not possible. Try Merlin 386 alpha builds, they should work...

Come to think of it...

If we upgarde to latest 386 stock there is no way of downgrading to 384.x anymore? Anyone tried it yet?
 

Mr Tvardovsky

Occasional Visitor
If we upgarde to latest 386 stock there is no way of downgrading to 384.x anymore? Anyone tried it yet?
See my post above ;)
 

det721

Part of the Furniture
Looks like your Router already has latest 386 firmware. Thats why downgrade is not possible. Try Merlin 386 alpha builds, they should work...

Come to think of it...

If we upgarde to latest 386 stock there is no way of downgrading to 384.x anymore? Anyone tried it yet?
Tried it with the AX58U and it downgrades with no issue.
 

jpdsc

Regular Contributor
I tried the latest BETA from Merlin but it is still not working, keep getting the same message... Might just have to do the recovery.
 

Similar threads

Top